## org.firebirdsql.jdbc
Class FBProcedureParam

    java.lang.Object
      org.firebirdsql.jdbc.FBProcedureParam

All Implemented Interfaces:
  Cloneable

    public class FBProcedureParam

extends Object
implements Cloneable

Represents procedure call parameter.

Constructor Summary
`FBProcedureParam()`
`FBProcedureParam(int position, String paramValue)` Create a new `FBProcedureParam` instance.

Method Summary
`Object` `clone()`
`boolean` `equals(Object obj)`
`int` `getIndex()`
`String` `getParamValue()` Get the variable value of this parameter
`int` `getPosition()` Get the position of this parameter
`int` `getType()` Get the SQL type of this paramater.
`Object` `getValue()` Set the value for this parameter
`boolean` `isParam()` Check if this parameter is a variable input parameter
`boolean` `isValueSet()` Check if the value of this parameter has been set
`void` `setIndex(int index)`
`void` `setType(int type)` Set the SQL type of this parameter
`void` `setValue(Object value)` Set the variable value of this parameter

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FBProcedureParam

    public FBProcedureParam()

### FBProcedureParam

    public FBProcedureParam(int position,
                            String paramValue)

  Create a new `FBProcedureParam` instance.

  Parameters:
    `position` - The position at which this parameter is situated in the call
    `paramValue` - The value for this parameter

Method Detail

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### isParam

    public boolean isParam()

  Check if this parameter is a variable input parameter

  Returns:
    `true` if this is an input parameter, `false` otherwise

### getPosition

    public int getPosition()

  Get the position of this parameter

  Returns:
    The index of this parameter (first index is 1)

### getIndex

    public int getIndex()

### setIndex

    public void setIndex(int index)

### getParamValue

    public String getParamValue()

  Get the variable value of this parameter

  Returns:
    The parameter value

### getValue

    public Object getValue()

  Set the value for this parameter

### setValue

    public void setValue(Object value)
                  throws SQLException

  Set the variable value of this parameter

  Parameters:
    `value` - The value to be set
  Throws:
    `SQLException` - if this parameter contains a constant value

### isValueSet

    public boolean isValueSet()

  Check if the value of this parameter has been set

  Returns:
    `true` if the value has been set, `false` otherwise

### getType

    public int getType()

  Get the SQL type of this paramater.

  Returns:
    The SQL type of this parameter

### setType

    public void setType(int type)

  Set the SQL type of this parameter

  Parameters:
    `type` - The SQL type of this parameter

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Copyright © 2001-2010. All Rights Reserved.